EasyApache 4 update error help please

no1son_uk

Member
Jun 2, 2011
12
1
51
HI


I have been on easy Apache e 4 now for some time but trying to update just recently and i get the following errors, would some one please be able to point me in the right direction as to getting this sorted please as i haven’t been able to find and answer from my research so far.


Update Error:



Error: Package: ea-apache24-2.4.41-5.5.1.cpanel.x86_64 (@EA4)

Requires: ea-apache24-tools = 2.4.41-5.5.1.cpanel

Removing: ea-apache24-tools-2.4.41-5.5.1.cpanel.x86_64 (@EA4)

ea-apache24-tools = 2.4.41-5.5.1.cpanel

Updated By: ea-apache24-tools-2.4.41-6.6.1.cpanel.x86_64 (EA4)

ea-apache24-tools = 2.4.41-6.6.1.cpanel

Available: ea-apache24-tools-2.4.41-4.4.1.cpanel.x86_64 (EA4)

ea-apache24-tools = 2.4.41-4.4.1.cpanel

The entire output was logged to: /usr/local/cpanel/logs/packman/errors/2020-03-13_11:51:01-1



Log error report!



Loaded plugins: fastestmirror, security, universal-hooks

Setting up Yum Shell

> Setting up Update Process

Loading mirror speeds from cached hostfile

* EA4: 91.197.228.252

* cpanel-addons-production-feed: 91.197.228.252

* cpanel-plugins: 91.197.228.252

* base: mirror.freethought-internet.co.uk

* extras: mirror.freethought-internet.co.uk

* updates: mirror.freethought-internet.co.uk

There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.

> > > > > > > > --> Running transaction check

---> Package ea-apache24-config.noarch 0:1.0-158.158.11.cpanel will be updated

---> Package ea-apache24-config.noarch 0:1.0-159.159.2.cpanel will be an update

---> Package ea-apache24-config-runtime.noarch 0:1.0-158.158.11.cpanel will be updated

---> Package ea-apache24-config-runtime.noarch 0:1.0-159.159.2.cpanel will be an update

---> Package ea-apache24-mod_deflate.x86_64 0:2.4.41-5.5.1.cpanel will be updated

---> Package ea-apache24-mod_deflate.x86_64 0:2.4.41-6.6.1.cpanel will be an update

---> Package ea-apache24-mod_headers.x86_64 0:2.4.41-5.5.1.cpanel will be updated

---> Package ea-apache24-mod_headers.x86_64 0:2.4.41-6.6.1.cpanel will be an update

---> Package ea-apache24-mod_mpm_prefork.x86_64 0:2.4.41-5.5.1.cpanel will be updated

---> Package ea-apache24-mod_mpm_prefork.x86_64 0:2.4.41-6.6.1.cpanel will be an update

---> Package ea-apache24-mod_proxy_http.x86_64 0:2.4.41-5.5.1.cpanel will be updated

---> Package ea-apache24-mod_proxy_http.x86_64 0:2.4.41-6.6.1.cpanel will be an update

---> Package ea-apache24-mod_version.x86_64 0:2.4.41-5.5.1.cpanel will be updated

---> Package ea-apache24-mod_version.x86_64 0:2.4.41-6.6.1.cpanel will be an update

---> Package ea-apache24-tools.x86_64 0:2.4.41-5.5.1.cpanel will be updated

--> Processing Dependency: ea-apache24-tools = 2.4.41-5.5.1.cpanel for package: ea-apache24-2.4.41-5.5.1.cpanel.x86_64

---> Package ea-apache24-tools.x86_64 0:2.4.41-6.6.1.cpanel will be an update

--> Finished Dependency Resolution

Error: Package: ea-apache24-2.4.41-5.5.1.cpanel.x86_64 (@EA4)

Requires: ea-apache24-tools = 2.4.41-5.5.1.cpanel

Removing: ea-apache24-tools-2.4.41-5.5.1.cpanel.x86_64 (@EA4)

ea-apache24-tools = 2.4.41-5.5.1.cpanel

Updated By: ea-apache24-tools-2.4.41-6.6.1.cpanel.x86_64 (EA4)

ea-apache24-tools = 2.4.41-6.6.1.cpanel

Available: ea-apache24-tools-2.4.41-4.4.1.cpanel.x86_64 (EA4)

ea-apache24-tools = 2.4.41-4.4.1.cpanel

> Leaving Shell
 

keat63

Well-Known Member
Nov 20, 2014
1,847
222
93
cPanel Access Level
Root Administrator
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.

Did you try ?

yum-complete-transaction

Are those the results at the bottom end of your post.
 

no1son_uk

Member
Jun 2, 2011
12
1
51
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.

Did you try ?

yum-complete-transaction

Are those the results at the bottom end of your post.
Hi

The results at the top show when i update in easy Apache via WHM and it just stops, the error log is from the system, ill go and try your suggestion and report back thank you.

Well nearly but not quite solved but thanks for that sugestion.

I now have this error..in WHM

Update Error:

Yum is currently locked - cannot proceed at /usr/local/cpanel/Cpanel/PackMan.pm line 887.


This is the output after running the command

root [/]# yum-complete-transaction
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* EA4: 91.197.228.252
* cpanel-addons-production-feed: 91.197.228.252
* cpanel-plugins: 91.197.228.252
* base: mirror.freethought-internet.co.uk
* extras: mirror.freethought-internet.co.uk
* updates: mirror.netweaver.uk
There are 1 outstanding transactions to complete. Finishing the most recent one
The remaining transaction had 50 elements left to run
--> Running transaction check
---> Package ea-apache24.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-config.noarch 0:1.0-158.158.11.cpanel will be erased
---> Package ea-apache24-config-runtime.noarch 0:1.0-158.158.11.cpanel will be erased
---> Package ea-apache24-mod_cgi.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_deflate.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_headers.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_mpm_prefork.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_proxy.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_proxy_http.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_proxy_wstunnel.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_ssl.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_unique_id.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-mod_version.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-apache24-tools.x86_64 0:2.4.41-5.5.1.cpanel will be erased
---> Package ea-cpanel-tools.x86_64 0:1.0-25.25.1.cpanel will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository
Size
================================================================================
Removing:
ea-apache24 x86_64 2.4.41-5.5.1.cpanel @EA4 8.0 M
ea-apache24-config noarch 1.0-158.158.11.cpanel @EA4 0.0
ea-apache24-config-runtime noarch 1.0-158.158.11.cpanel @EA4 132 k
ea-apache24-mod_cgi x86_64 2.4.41-5.5.1.cpanel @EA4 26 k
ea-apache24-mod_deflate x86_64 2.4.41-5.5.1.cpanel @EA4 34 k
ea-apache24-mod_headers x86_64 2.4.41-5.5.1.cpanel @EA4 22 k
ea-apache24-mod_mpm_prefork x86_64 2.4.41-5.5.1.cpanel @EA4 30 k
ea-apache24-mod_proxy x86_64 2.4.41-5.5.1.cpanel @EA4 127 k
ea-apache24-mod_proxy_http x86_64 2.4.41-5.5.1.cpanel @EA4 42 k
ea-apache24-mod_proxy_wstunnel x86_64 2.4.41-5.5.1.cpanel @EA4 18 k
ea-apache24-mod_ssl x86_64 2.4.41-5.5.1.cpanel @EA4 230 k
ea-apache24-mod_unique_id x86_64 2.4.41-5.5.1.cpanel @EA4 10 k
ea-apache24-mod_version x86_64 2.4.41-5.5.1.cpanel @EA4 10 k
ea-apache24-tools x86_64 2.4.41-5.5.1.cpanel @EA4 170 k
ea-cpanel-tools x86_64 1.0-25.25.1.cpanel @EA4 55 k

Transaction Summary
================================================================================
Remove 15 Package(s)

Installed size: 8.8 M
 
Last edited:

keat63

Well-Known Member
Nov 20, 2014
1,847
222
93
cPanel Access Level
Root Administrator
I found this thread with the exact same issue.
 
  • Like
Reactions: no1son_uk

no1son_uk

Member
Jun 2, 2011
12
1
51
I found this thread with the exact same issue.

Sorry i didnt see that,thanks ill have a read and see what i get.. Thanks once again.

I think the command complete transaction is casusing the loack from the tread you kindly found for me, but thats as far as i know..:(

ps auxwwf | grep yum

root [/]# ps auxwwf | grep yum
root 14376 0.0 0.0 9408 1188 ? S 16:09 0:00 | \_ sh -c ps auxwwf | grep yum
root 14378 0.0 0.0 6440 700 ? S 16:09 0:00 | \_ grep yum
root 10485 0.2 0.4 559676 66176 ? S 15:24 0:05 \_ /usr/bin/python -tt /usr/sbin/yum-complete-transaction
root [/]# _




cat /var/run/yum.pid

root [/]# cat /var/run/yum.pid
10485root [/]# _
 
Last edited:

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,296
1,252
313
Houston
I don't want to guess what's holding yum up and it's best if someone looks at the configuration. Can you please open a ticket using the link in my signature? Once open please reply with the Ticket ID here so that we can update this thread with the resolution once the ticket is resolved.


Thanks!
 
  • Like
Reactions: no1son_uk

no1son_uk

Member
Jun 2, 2011
12
1
51
I don't want to guess what's holding yum up and it's best if someone looks at the configuration. Can you please open a ticket using the link in my signature? Once open please reply with the Ticket ID here so that we can update this thread with the resolution once the ticket is resolved.


Thanks!

Many thanks every one for your help.

i have opened a ticket and its been looked into :)

Assigned to Roman Mcdougal Id #93460974

Solved

Thank you all, this is what was done just encase :)

"I was able to clean them up with package-cleanup --cleandupes and verify that the failed yum transaction had completed with yum-complete-transaction. "
 
Last edited:
  • Like
Reactions: cPanelLauren